<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="3add2159-5f52-48fa-93f7-6cc4e10878a4" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/LabTASK1/com/company/Main.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/company/LibraryPackage/Book.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/company/LibraryPackage/Library.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/company/Main.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/company/StudentsPackage/Student.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/company/StudentsPackage/StudentsFuncs.java" beforeDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/Rectangle.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="6" column="26" selection-start-line="6" selection-start-column="26" selection-end-line="6" selection-end-column="26" />
              <folding>
                <element signature="e#406#407#0" expanded="true" />
                <element signature="e#482#483#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/Triangle.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="7" column="26" selection-start-line="7" selection-start-column="26" selection-end-line="7" selection-end-column="26" />
              <folding>
                <element signature="e#518#519#0" expanded="true" />
                <element signature="e#610#611#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/Circle.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="7" selection-start-line="7" selection-end-line="7" />
              <folding>
                <element signature="e#206#207#0" expanded="true" />
                <element signature="e#266#267#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/FiguresFuncs.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="221">
              <caret line="14" column="50" selection-start-line="14" selection-start-column="50" selection-end-line="14" selection-end-column="50" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="jar://C:/Program Files/Java/jdk-11.0.2/lib/src.zip!/java.base/java/lang/Object.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="446">
              <caret line="258" column="73" selection-start-line="258" selection-start-column="70" selection-end-line="258" selection-end-column="73" />
              <folding>
                <element signature="e#10225#10226#0" expanded="true" />
                <element signature="e#10308#10309#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>i</find>
      <find>name</find>
      <find>Print</find>
      <find>Print(</find>
      <find>p</find>
    </findStrings>
    <replaceStrings>
      <replace>mainCounter</replace>
      <replace>title</replace>
      <replace>GetInp</replace>
      <replace>GetInp(</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/com/company/Student.java" />
        <option value="$PROJECT_DIR$/src/com/company/Book.java" />
        <option value="$PROJECT_DIR$/src/com/company/Library.java" />
        <option value="$PROJECT_DIR$/src/com/company/LibraryPackage/Library.java" />
        <option value="$PROJECT_DIR$/src/com/company/Main.java" />
        <option value="$PROJECT_DIR$/src/com/company/FigurePackage/Square.java" />
        <option value="$PROJECT_DIR$/src/com/company/FigurePackage/Figure.java" />
        <option value="$PROJECT_DIR$/src/com/company/FigurePackage/FiguresFuncs.java" />
        <option value="$PROJECT_DIR$/src/com/company/FigurePackage/Rectangle.java" />
        <option value="$PROJECT_DIR$/src/com/company/FigurePackage/Triangle.java" />
        <option value="$PROJECT_DIR$/src/com/company/FigurePackage/Circle.java" />
        <option value="$PROJECT_DIR$/src/com/company/StudentsPackage/StudentsFuncs.java" />
        <option value="$PROJECT_DIR$/src/com/company/FigurePackage/FigurePackage/Rectangle.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-7" />
    <option name="width" value="1380" />
    <option name="height" value="391" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="1" type="b2602c69:ProjectViewProjectNode" />
              <item name="1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="1" type="b2602c69:ProjectViewProjectNode" />
              <item name="1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../Shop" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\user\IdeaProjects\PRoekt\1\src\com\company\FigurePackage" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.FiguresFuncs">
    <configuration name="FiguresFuncs" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.company.FigurePackage.FiguresFuncs" />
      <module name="LabTASK1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.company.FigurePackage.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Library" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.company.LibraryPackage.Library" />
      <module name="LabTASK1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.company.LibraryPackage.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="com.company.Main" />
      <module name="LabTASK1" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <RunnerSettings RunnerId="Run" />
      <ConfigurationWrapper RunnerId="Run" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="StudentsFuncs" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.company.StudentsPackage.StudentsFuncs" />
      <module name="LabTASK1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.company.StudentsPackage.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.FiguresFuncs" />
        <item itemvalue="Application.StudentsFuncs" />
        <item itemvalue="Application.Library" />
        <item itemvalue="Application.Main" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3add2159-5f52-48fa-93f7-6cc4e10878a4" name="Default Changelist" comment="" />
      <created>1559285422165</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1559285422165</updated>
    </task>
    <task id="LOCAL-00001" summary="Books add">
      <created>1559291618885</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1559291618885</updated>
    </task>
    <task id="LOCAL-00002" summary="Books bug fixes">
      <created>1559326570880</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1559326570880</updated>
    </task>
    <task id="LOCAL-00003" summary="Final">
      <created>1560319669086</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1560319669086</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="784" extended-state="6" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.1913767" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32741618" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
    </layout>
    <layout-to-restore>
      <window_info id="Image Layers" order="0" />
      <window_info id="Designer" order="1" />
      <window_info id="UI Designer" order="2" />
      <window_info id="Capture Tool" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="5" visible="true" weight="0.16825397" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Terminal" order="1" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="3" />
      <window_info anchor="bottom" id="Find" order="4" />
      <window_info anchor="bottom" id="Run" order="5" />
      <window_info anchor="bottom" id="Debug" order="6" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="7" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="8" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="9" />
      <window_info anchor="right" id="Palette" order="0" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Theme Preview" order="2" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info anchor="right" id="Maven" order="4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="5" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="6" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="7" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Books add" />
    <MESSAGE value="Books bug fixes" />
    <MESSAGE value="Final" />
    <option name="LAST_COMMIT_MESSAGE" value="Final" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/com/company/Main.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/LibraryPackage/Book.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/LibraryPackage/Library.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/StudentsPackage/Student.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/StudentsPackage/StudentsFuncs.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/Figure.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" selection-start-line="4" selection-end-line="4" />
          <folding>
            <element signature="e#435#436#0" expanded="true" />
            <element signature="e#518#519#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/FigurePackage/Triangle.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/FigurePackage/FiguresFuncs.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/FigurePackage/Circle.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/FigurePackage/Rectangle.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/FigurePackage/Figure.java" />
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/Rectangle.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="26" selection-start-line="6" selection-start-column="26" selection-end-line="6" selection-end-column="26" />
          <folding>
            <element signature="e#406#407#0" expanded="true" />
            <element signature="e#482#483#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/Triangle.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="26" selection-start-line="7" selection-start-column="26" selection-end-line="7" selection-end-column="26" />
          <folding>
            <element signature="e#518#519#0" expanded="true" />
            <element signature="e#610#611#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/Circle.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
          <folding>
            <element signature="e#206#207#0" expanded="true" />
            <element signature="e#266#267#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/company/FigurePackage/FiguresFuncs.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="14" column="50" selection-start-line="14" selection-start-column="50" selection-end-line="14" selection-end-column="50" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.2/lib/src.zip!/java.base/java/lang/Object.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="446">
          <caret line="258" column="73" selection-start-line="258" selection-start-column="70" selection-end-line="258" selection-end-column="73" />
          <folding>
            <element signature="e#10225#10226#0" expanded="true" />
            <element signature="e#10308#10309#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>